require( "scripts/style.lua" );
require( "scripts/tome_footer.lua" );

MakeDialog
{
	name = "sommaire",
	
	KnowledgeTomeWindow
	{
		x = 0,
		y = 0,
		w = GetScreenWidth(),
		h = GetScreenHeight(),
		
		Bitmap
		{
			image="backgrounds/options",
			x = kCenter,
			y = kCenter - 84,
			
			
			BestiaryButton
			{
				highlight_anim  = "anim/widgets/tome_som_bestiaire_highlight",				
                graphics = {"backgrounds/tome_sommaire/tome_som_bestiaire.jpg", "backgrounds/tome_sommaire/tome_som_bestiaire.jpg", "backgrounds/tome_sommaire/tome_som_over_bestiaire.jpg"},
				name = "som_bestiaire",
				x = kCenter - 195,
				y = kCenter - 64,
                --command=
				--function()
                    --DisplayTutorialCallback( "TUTO_tome_bestiary" );
					--SwapToModal("scripts/bestiary_page2.lua");
				--end
			},
			

			HighlightedButton
			{
				highlight_anim  = "anim/widgets/tome_som_collection_highlight",
                graphics = {"backgrounds/tome_sommaire/tome_som_collection.jpg", "backgrounds/tome_sommaire/tome_som_collection.jpg", "backgrounds/tome_sommaire/tome_som_over_collection.jpg"},
				name = "som_collection",
				x = kCenter + 226,
				y = kCenter + 142,
                command=
				function()
                    DisplayTutorialCallback( "TUTO_tome_collection_welcome" );
					SwapToModal("scripts/collection.lua");
				end
			},
	
			HighlightedButton
			{
				highlight_anim  = "anim/widgets/tome_som_metier_highlight",
                graphics = {"backgrounds/tome_sommaire/tome_som_metier.jpg", "backgrounds/tome_sommaire/tome_som_metier.jpg", "backgrounds/tome_sommaire/tome_som_over_metier.jpg"},
				name = "som_metier",
				x = kCenter - 195,
				y = kCenter + 142,
                command=
				function()
                    DisplayTutorialCallback( "TUTO_knowledge_tree_welcome" );
					SwapToModal("scripts/work.lua");
				end
			},


			HighlightedButton
			{
				highlight_anim  = "anim/widgets/tome_som_quete_highlight",
                graphics = {"backgrounds/tome_sommaire/tome_som_quete.jpg", "backgrounds/tome_sommaire/tome_som_quete.jpg", "backgrounds/tome_sommaire/tome_som_over_quete.jpg"},
				name = "som_quete",
				x = kCenter + 226,
				y = kCenter - 64,
                command=
				function()
                    DisplayTutorialCallback( "TUTO_tome_quest" );
					SwapToModal("scripts/quest_report.lua");
				end
			},
            
            Text
            {
                font = PapyrusTitleFont,
                name = "som_title",
                x=kCenter - 166,
                y=kCenter - 213,
                flags = kHAlignLeft + kVAlignCenter,
                w=200,
                h=70,
                label="sommaire_label",
            },
	
            Text
            {
                font = PapyrusLegendFont,
                name = "som_bestiaire_title",
                x=kCenter - 256,
                y=kCenter - 162,
                flags = kHAlignLeft + kVAlignCenter,
                w=250,
                h=70,
                label="bestiaire_label",
            },
		   
            Text
            {
                font = PapyrusLegendFont,
                name = "som_collection_title",
                x=kCenter + 151,
                y=kCenter + 39,
                flags = kHAlignLeft + kVAlignCenter,
                w=250,
                h=70,
                label="collection_label",
            },
		   
            Text
            {
                font = PapyrusLegendFont,
                name = "som_metier_title",
                x=kCenter - 230,
                y=kCenter + 39,
                flags = kHAlignLeft + kVAlignCenter,
                w=300,
                h=70,
                label="work_label",
            },
		   
            Text
            {
                font = PapyrusLegendFont,
                name = "som_quete_title",
                x=kCenter + 151,
                y=kCenter - 162,
                flags = kHAlignLeft + kVAlignCenter,
                w=250,
                h=70,
                label="quete_label",
            },
			
			tab_placement( 1 ),
			tome_footer(),
		},
	},
}
